# $Revision: 1.4 $, $Date: 2005/01/09 18:26:32 $
%define		pname	DisplayConstraints
%define		fname	displayconstraints
Summary:	This sensor allows a user to set maximum constraints on a display
Summary(pl):	Ten czujnik pozwala na ustawienie maksymalnych rozmiarw wywietlacza
Name:		gDesklets-%{pname}
Version:	0.1.0
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	http://gdesklets.gnomedesktop.org/files/%{fname}-%{version}.tar.bz2
# Source0-md5:	a36a563797dfd8c8f112323300661d02
URL:		http://gdesklets.gnomedesktop.org/categories.php?func=gd_show_app&gd_app_id=61
BuildRequires:	python >= 1:2.3
BuildRequires:	python-pygtk-gtk >= 1.99.18
Requires:	gDesklets
%pyrequires_eq	python-libs
Provides:	gDesklets-sensor
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sensorsdir	%{_datadir}/gdesklets/Sensors

%description
This sensor allows a user to set maximum constraints on a display.

%description -l pl
Ten czujnik pozwala na ustawienie maksymalnych rozmiarw wywietlacza.

%prep
%setup -q -n %{pname}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sensorsdir}

./Install_%{pname}_Sensor.bin --nomsg \
	$RPM_BUILD_ROOT%{_sensorsdir}

%py_comp $RPM_BUILD_ROOT%{_sensorsdir}
%py_ocomp $RPM_BUILD_ROOT%{_sensorsdir}

rm -f $RPM_BUILD_ROOT%{_sensorsdir}/*/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{pname}/README
%{_sensorsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gDesklets-DisplayConstraints.spec,v $
Revision 1.4  2005/01/09 18:26:32  saq
- missing BR epoch and pyreqeq, rel 3

Revision 1.3  2004/11/03 13:37:11  paladine
- formatting

Revision 1.2  2004/07/23 22:19:26  grzegol
- (B)R: python-pygtk-gtk instead of python-pygtk
- rel. 2

Revision 1.1  2004/02/11 20:30:29  grzegol
- new

